%define		kdeplasmaver	5.22.5
%define		qtver		5.9.0
%define		kpname		ksshaskpass
Summary:	ssh-add helper that uses kwallet and kpassworddialog
Name:		kp5-%{kpname}
Version:	5.22.5
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	2d17696a462d4b1abc3f8b50811ba78c
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kwallet-devel
BuildRequires:	kf5-kwidgetsaddons-devel
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ssh-add helper that uses kwallet and kpassworddialog.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ksshaskpass
%{_mandir}/man1/ksshaskpass.1*

%changelog
* Wed Sep 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-ksshaskpass.git;a=log;h=master

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6dd0d48
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 497c877
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 788e5f3
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d20d859
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cea8872
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c0897fd
- updated to 5.22.0

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6d13a72
- updated to 5.21.5

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> beaedec
- updated to 5.21.4

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0dd26ad
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 9ef4081
- update to 5.21.2

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 38f87e3
- updated to 5.15.3

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 83161b7
- updated to 5.14.5

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 7be1a8d
- updated to 5.14.4

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> d851a7e
- updated to 5.11.2

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> ce347f5
- updated to 5.5.4

* Sat Sep 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f587d8f
- find_lang with kde

* Sun Sep 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a5f1d0
- initial

